Subject: bug#22991: 25.0.92: C-u C-s does not display "Regexp I-search:" in the echo area

From: Kaushal Modi <[email-masked]>
Date: Fri, 11 Mar 2016 18:40:23 -0500

In that case, we will have to figure out why this condition was put as a
high priority to begin with.

(cond ((equal regexp-function search-default-mode) "")

On Friday, March 11, 2016, Michael Heerdegen <[email-masked]>
wrote:

> Eli Zaretskii <[email-masked] <javascript:;>> writes:
>
> > Which I think is wrong, since the default mode shouldn't show anything
> > except "I-search: ".  Right?
>
> I'm not so sure.  I use different defaults in different modes for
> convenience (symbol search in programming modes, word search in Info,
> literal search in the rest), and I would soon get confused if the
> default mode would not be indicated, especially if I change to a
> different mode and back again etc.
>
>
> Michael.
>

-- 

--
Kaushal Modi